<?php
/* 
   MasterSoft Software Solutions Ltd. - www.mastersoft.at - October. 2009 
   info@mastersoft.at
   This file is licensed under terms of the MPT Open License.
   You can find the license under http://www.mastersoft.at/content/view/26/34/lang,de/    
*/

// no direct access
defined('_JEXEC') or die('Restricted Access');

jimport('joomla.application.component.model');


/**
 * the model class of the player frontend
 * @author <a href="http://www.mastersoft.at" target="_blank">MasterSoft Software Solutions Ltd.</a>
 */
class MasterSoftVideoPlayerModelMasterSoftVideoPlayer extends JModel
{	
	/**
	 * get an array with all published videos. the array is ordered by positions
	 * the array contains an array for each video which has the following entries
	 * 	index 0: url to flash video
	 *  index 1: url to the quicktime video
	 *  index 2: the assigned thumbnail
	 *  index 3: the description of the video
	 *  index 4: the width of the video
	 *  index 5: the height of the video
	 * @return multitype:
	 */
	function getPublishedVideos()
	{
		$db	= JFactory::getDBO();
		
		//get files and push into an assoziative array that is index by the id
		$query = "SELECT msvf_id,msvf_url FROM #__msFiles";						 				
		$this->_db->setQuery( $query );
		$files = $this->_db->loadRowList();

		$fileRows = array();
		foreach($files as $file)
		{
			$fileRows[''+$file[0]] = $file[1];			
		}
		
		$query = "SELECT * FROM #__msVideo WHERE msv_published = 1 ORDER BY msv_position ASC";			
		$db->setQuery( $query );
		$db->query();				
		$result = $db->loadRowList();
		
		$videos = array();
		foreach($result as $video)
		{
			$flvUrl = $fileRows['' .$video[2]];
			$movUrl = $fileRows['' .$video[3]];
			$thumbUrl = $fileRows['' .$video[4]];

			array_push($videos,array($flvUrl,$movUrl,$thumbUrl,$video[1],$video[5],$video[8],$video[9]));
		}
								
		return $videos;
	}
}
?>
